*-------------------------------------------------------------------------*
*                                                                          
*                     SPSS SETUP FILE FOR ICPSR 02258
*          DRUG ABUSE TREATMENT OUTCOME STUDY (DATOS), 1991-1994:
*                             [UNITED STATES]
*          (DATASET 0009:  12-MONTH FOLLOW-UP URINE RESULT DATA)
* 
*
*  SPSS setup sections are provided for the ASCII version of this data
*  collection.  These sections are listed below:
*
*  DATA LIST:  assigns the name, type, decimal specification (if any),
*  and specifies the beginning and ending column locations for each
*  variable in the data file. Users must replace the "data-filename"
*  in the DATA LIST statement with a filename specifying the directory
*  on the user's computer system in which the downloaded and unzipped
*  data file is physically located (e.g., "c:\temp\02258-0009-data.txt").
*
*  VARIABLE LABELS:  assigns descriptive labels to all variables.
*  Labels and variable names may be identical for some data files.
*
*  MISSING VALUES: declares user-defined missing values. Not all
*  variables in this data set necessarily have user-defined missing
*  values. These values can be treated specially in data transformations,
*  statistical calculations, and case selection.
*
*  VALUE LABELS: assigns descriptive labels to codes found in the data
*  file.  Not all codes necessarily have assigned value labels.
*
*  NOTE:  Users should modify this setup file to suit their specific 
*  needs. The MISSING VALUES section has been commented out (i.e., '*').
*  To include the MISSING VALUES section in the final SPSS setup, remove 
*  the comment indicators from the desired section.
*
*  CREATING A PERMANENT SPSS DATA FILE: If users wish to create and save
*  an SPSS data file for further analysis using SPSS for Windows, the
*  necessary "SAVE OUTFILE" command is provided in the last line of
*  this file.  To activate the command, users must delete the leading
*  asterisk (*) and replace "spss-filename" with a filename specifying
*  the location on the user's computer system to which the new data file
*  will be saved (e.g., SAVE OUTFILE="c:\spsswin\data\da02258-0009.sav").
*
*-------------------------------------------------------------------------.

* SPSS FILE HANDLE AND DATA LIST COMMANDS.

FILE HANDLE DATA / NAME="data-filename" LRECL=26.
DATA LIST FILE=DATA /
              CASEID 1-8             AMPHET 9-10             BARBS 11-12
             BENZO 13-14            CANNAB 15-16           COCAINE 17-18
            METHAQ 19-20           OPIATES 21-22            PHENCY 23-24
           USOURCE 25-26
   .

* SPSS VARIABLE LABELS COMMAND.

VARIABLE LABELS
   CASEID    'CASE IDENTIFICATION NUMBER' /
   AMPHET    'AMPHETAMINE TEST RESULT' /
   BARBS     'BARBITURATES TEST RESULT' /
   BENZO     'BENZODIAZEPINES TEST RESULT' /
   CANNAB    'CANNABINOID TEST RESULT' /
   COCAINE   'COCAINE TEST RESULT' /
   METHAQ    'METHAQUALONES TEST RESULT' /
   OPIATES   'OPIATES TEST RESULT' /
   PHENCY    'PHENCYCLIDINE TEST RESULT' /
   USOURCE   'URINE SOURCE FILE' /
   .


* SPSS VALUE LABELS COMMAND.

VALUE LABELS
   AMPHET    -2 'INSUFF Q' -1 'NO DATA' 0 'NEGATIVE FOR DRUG'
             1 'POSITIVE FOR DRUG' /
   BARBS     -2 'INSUFF Q' -1 'NO DATA' 0 'NEGATIVE FOR DRUG'
             1 'POSITIVE FOR DRUG' /
   BENZO     -2 'INSUFF Q' -1 'NO DATA' 0 'NEGATIVE FOR DRUG'
             1 'POSITIVE FOR DRUG' /
   CANNAB    -2 'INSUFF Q' -1 'NO DATA' 0 'NEGATIVE FOR DRUG'
             1 'POSITIVE FOR DRUG' /
   COCAINE   -2 'INSUFF Q' -1 'NO DATA' 0 'NEGATIVE FOR DRUG'
             1 'POSITIVE FOR DRUG' /
   METHAQ    -2 'INSUFF Q' -1 'NO DATA' 0 'NEGATIVE FOR DRUG'
             1 'POSITIVE FOR DRUG' /
   OPIATES   -2 'INSUFF Q' -1 'NO DATA' 0 'NEGATIVE FOR DRUG'
             1 'POSITIVE FOR DRUG' /
   PHENCY    -2 'INSUFF Q' -1 'NO DATA' 0 'NEGATIVE FOR DRUG'
             1 'POSITIVE FOR DRUG' /
   USOURCE   1 'DATOS URINE FILE' 2 'CTOS URINE FILE/CROSSOVER' /
   .

* SPSS MISSING VALUES COMMAND.

* MISSING VALUES
   CASEID (LO THRU -1)
   AMPHET (LO THRU -1)
   BARBS (LO THRU -1)
   BENZO (LO THRU -1)
   CANNAB (LO THRU -1)
   COCAINE (LO THRU -1)
   METHAQ (LO THRU -1)
   OPIATES (LO THRU -1)
   PHENCY (LO THRU -1)
   USOURCE (LO THRU -1)
   .

EXECUTE.

* Create SPSS system file.

*SAVE OUTFILE="spss-filename.sav".
